Subject: Re: Bash and the PC Delete Key
From: [email-masked] (Pehr Anderson)

7 Mar 1998 02:33:05 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]
Cc: [email-masked]

Configuring Bash under Gnu-win32 B19

Apparently bash expects you to have a .bashrc file
in your home directory that contains key mappings
for delete and other standard keys (home & end).

After a bit of altavista searching I found the "Bash Reference Manual",
but it contained way more info than I needed.  I eventually
pieced together the following .bashrc from several old references
and other people's .bashrc files.  

If anybody else has a better .bashrc, it be great to see it.

###########################################################
# ~/.bashrc 
#  This is an example configuration file for bash.
#  http://www.cygnus.com/ gnu win32 Beta19
###########################################################

umask 022

######################
# USE UPPERCASE FOR SETTING ENVIRONMENT VARIABLES
# BASH DOESN'T UNDERSTAND LOWER CASE VARIABLES.
# Look for executables in the working directory.
# (separate multiple paths with a colon in unix)
export PATH=$PATH:.:/tools/Netscape/Communicator/Program

######################
# Set the prompt   
# 	\w  working directory   \
#	\W  short working directory 
#	\h  Machine name
export PS1='\w\$ '

#######################
# Make it Sane
alias setenv=export
alias dir='ls -laF'
alias ls='ls -F'
alias rd=rmdir
alias md=mkdir
alias cls=clear
alias clr=clear
alias type=cat
alias del=rm
alias copy='cp'   
alias move=mv	#WinNT move doesnt handle Gnu-32 forward slash
alias ren=mv
alias rename=mv
alias more='more.com'

###########################3
# Make it Convenient
alias m=more
alias l='ls -aF'
alias h='history'
alias f='finger'
alias xterm='start bash'

#########################
# Assign aliases to unpathed commands
alias emacs='/tools/emacs-19.34/bin/runemacs.exe'
alias e='/tools/emacs-19.34/bin/runemacs.exe'
alias gs='start /tools/gstools/gsview/gsview32.exe'
alias winzip='start /tools/winzip/winzip32.exe'
# netscape looks at its launch argument and complains about forward slashes
#alias netscape='start /tools/Netscape/Communicator/Program/netscape.exe'

########################## ###################33
# Bind keypad keys to funcitons.
# Why aren't these keys mapped already?
# Home
bind '"\e[1~":beginning-of-line'
# Insert
bind '"\e[2~":paste-from-clipboard'
# Delete
bind '"\e[3~":delete-char'
# End
bind '"\e[4~":end-of-line'

# PageUp
bind '"\e[5~":history-search-forward'
# PageDown
bind '"\e[6~":history-search-backward'

####################################################
# end of ~/.bashrc 
 _ __ Pehr Anderson
' )  )    /        [email-masked]  http://web.mit.edu/pehr/www/home.html
 /--' _  /_  __    There is no security on this earth, only opportunity.
/    </_/ /_/ (_                 -- Douglas MacArthur
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".